package java.awt;

import java.io.Serializable;

public class Dimension implements Serializable {
   public int width;
   public int height;

   public Dimension() {
      this(0, 0);
   }

   public Dimension(Dimension var1) {
      this(var1.width, var1.height);
   }

   public Dimension(int var1, int var2) {
      this.width = var1;
      this.height = var2;
   }

   public String toString() {
      return this.getClass().getName() + "[width=" + this.width + ",height=" + this.height + "]";
   }
}
