package java.awt;

import java.io.Serializable;

public class Point implements Serializable {
   // $FF: renamed from: x int
   public int field_0;
   // $FF: renamed from: y int
   public int field_1;

   public Point(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public void move(int var1, int var2) {
      this.field_0 = var1;
      this.field_1 = var2;
   }

   public void translate(int var1, int var2) {
      this.field_0 += var1;
      this.field_1 += var2;
   }

   public int hashCode() {
      return this.field_0 ^ this.field_1 * 31;
   }

   public boolean equals(Object var1) {
      if (var1 instanceof Point) {
         Point var2 = (Point)var1;
         return this.field_0 == var2.field_0 && this.field_1 == var2.field_1;
      } else {
         return false;
      }
   }

   public String toString() {
      return this.getClass().getName() + "[x=" + this.field_0 + ",y=" + this.field_1 + "]";
   }
}
