package java.awt;

import java.io.Serializable;

public class CheckboxGroup implements Serializable {
   Checkbox currentChoice;

   public Checkbox getCurrent() {
      return this.currentChoice;
   }

   public synchronized void setCurrent(Checkbox var1) {
      if (var1 == null || var1.group == this) {
         Checkbox var2 = this.currentChoice;
         this.currentChoice = var1;
         if (var2 != null && var2 != var1) {
            var2.setState(false);
         }

         if (var1 != null && var2 != var1 && !var1.getState()) {
            var1.setStateInternal(true);
         }

      }
   }

   public String toString() {
      return this.getClass().getName() + "[current=" + this.currentChoice + "]";
   }
}
