package java.awt;

import java.awt.image.ImageObserver;
import java.awt.image.ImageProducer;
import java.io.Serializable;

public abstract class Image implements Serializable {
   public static final Object UndefinedProperty = new Object();

   public abstract int getWidth(ImageObserver var1);

   public abstract int getHeight(ImageObserver var1);

   public abstract ImageProducer getSource();

   public abstract Graphics getGraphics();

   public abstract Object getProperty(String var1, ImageObserver var2);

   public abstract void flush();
}
